Package org.eclipse.gef.requests

# Interface CreationFactory

All Known Implementing Classes:
  `SimpleFactory`

public interface CreationFactory
A factory used to create new objects.

Since:
  2.1

## Method Summary

Modifier and Type
Method
Description
`Object`
`getNewObject()`
Returns the new object.
`Object`
`getObjectType()`
Returns the new object's type.

## Method Details

### getNewObject

Object getNewObject()
Returns the new object.

Returns:
  the new object

### getObjectType

Object getObjectType()
Returns the new object's type.

Returns:
  the type